%{?nodejs_find_provides_and_requires}

%global enable_tests 1
%global npm_name npm-install-checks

Name:		nodejs-npm-install-checks
Version:	3.0.0
Release:	1%{?dist}.3
Summary:	Checks that npm runs during the installation of a module
License:	BSD
Url:		https://github.com/npm/npm-install-checks
Source:		https://registry.npmjs.org/npm-install-checks/-/npm-install-checks-%{version}.tgz
BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	npm(tap)
BuildRequires:	npm(rimraf)
BuildRequires:	npm(mkdirp)
BuildRequires:	npm(npmlog)
Buildrequires:	npm(semver)
%endif

Requires:       npm(semver) >= 2.3.0

%description
A package that contains checks that npm runs during the installation. 


%prep
%setup -q -n package


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{npm_name}
%{nodejs_symlink_deps}


%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%tap test/*.js
%endif


%files
%doc README.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/%{npm_name}


%changelog
* Sun Jan 17 2016 Tom Hughes <tom@compton.nu> - 3.0.0-1
- Update to 3.0.0 upstream release
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
* Wed May 27 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.5-1
- New upstream release
- fixed typo in %%%%check
- added BuildRequires for dependencies
- removed scl prefixes
- changed Summary to match package.json
* Fri Mar 20 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.4-5
- Changed versions of packages fixed by %%%%nodejs_fixdep macros
- moved macros from %%%%build to %%%%prep
- changed license to BSD
* Mon Mar 16 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.4-4
- Changed ExclusiveArch
- added %%%%check, %%%%license and %%%%nodejs_fixdep macro
- removed BuildRoot, Group and %%%%defattr
* Tue Mar  3 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.4-3
- Fixed dependency
* Tue Jan 13 2015 Tomas Hrcka <thrcka@redhat.com> - 1.0.4-2
- Remove undefined macro
* Mon Jan 12 2015 Tomas Hrcka <thrcka@redhat.com> - 1.0.4-1
- Initial build
